## watchdog 0.7.1

=== Makefile ===
#############################################################################
# Makefile for building: watchdog
# Generated by qmake (2.01a) (Qt 4.7.0) on: Mon 5. Nov 20:55:11 2012
# Project:  watchdog.pro
# Template: app
# Command: c:/qtsdk/maemo/4.6.2/targets/fremantle-pr13/bin/qmake.exe -spec ../../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/default -unix -after  OBJECTS_DIR=obj MOC_DIR=moc UI_DIR=ui RCC_DIR=rcc -o Makefile watchdog.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I../../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/default -I. -I../../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include/QtCore -I../../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include/QtGui -I../../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include -Imoc -Iui
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu
LIBS          = $(SUBLIBS)  -LC:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib -ljpeg -L../.. -lFCam -lalarm -lQtGui -L/usr/lib -L/usr/X11R6/lib -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = c:/qtsdk/maemo/4.6.2/targets/fremantle-pr13/bin/qmake.exe
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = obj/

####### Files

SOURCES       = main.cpp \
		motionwindow.cpp \
		about.cpp \
		chooseop.cpp \
		commandline.cpp \
		emailthread.cpp \
		operations.cpp \
		settings.cpp \
		timelapsewind.cpp moc/moc_about.cpp \
		moc/moc_chooseop.cpp \
		moc/moc_motionwindow.cpp \
		moc/moc_operations.cpp \
		moc/moc_settings.cpp \
		moc/moc_timelapsewind.cpp \
		rcc/qrc_images.cpp
OBJECTS       = obj/main.o \
		obj/motionwindow.o \
		obj/about.o \
		obj/chooseop.o \
		obj/commandline.o \
		obj/emailthread.o \
		obj/operations.o \
		obj/settings.o \
		obj/timelapsewind.o \
		obj/moc_about.o \
		obj/moc_chooseop.o \
		obj/moc_motionwindow.o \
		obj/moc_operations.o \
		obj/moc_settings.o \
		obj/moc_timelapsewind.o \
		obj/qrc_images.o
DIST          = ../../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/common/unix.conf \
		../../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/common/linux.conf \
		../../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/qconfig.pri \
		../../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt_functions.prf \
		../../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt_config.prf \
		../../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		../../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/default_pre.prf \
		deployment.pri \
		../../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/release.prf \
		../../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/default_post.prf \
		../../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/warn_on.prf \
		../../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt.prf \
		../../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/unix/thread.prf \
		../../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/moc.prf \
		../../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/resources.prf \
		../../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/uic.prf \
		../../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/yacc.prf \
		../../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/lex.prf \
		watchdog.pro
QMAKE_TARGET  = watchdog
DESTDIR       = 
TARGET        = watchdog

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui/ui_motionwindow.h ui/ui_about.h ui/ui_chooseop.h ui/ui_settings.h ui/ui_timelapsewind.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: watchdog.pro  ../../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/default/qmake.conf ../../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/common/unix.conf \
		../../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/common/linux.conf \
		../../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/qconfig.pri \
		../../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt_functions.prf \
		../../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt_config.prf \
		../../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		../../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/default_pre.prf \
		deployment.pri \
		../../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/release.prf \
		../../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/default_post.prf \
		../../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/warn_on.prf \
		../../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt.prf \
		../../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/unix/thread.prf \
		../../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/moc.prf \
		../../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/resources.prf \
		../../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/uic.prf \
		../../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/yacc.prf \
		../../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/lex.prf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtGui.prl \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtDBus.prl \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtXml.prl \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtCore.prl
	$(QMAKE) -spec ../../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/default -unix -after  OBJECTS_DIR=obj MOC_DIR=moc UI_DIR=ui RCC_DIR=rcc -o Makefile watchdog.pro
../../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/common/unix.conf:
../../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/common/linux.conf:
../../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/qconfig.pri:
../../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt_functions.prf:
../../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt_config.prf:
../../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
../../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/default_pre.prf:
deployment.pri:
../../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/release.prf:
../../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/default_post.prf:
../../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/warn_on.prf:
../../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt.prf:
../../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/unix/thread.prf:
../../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/moc.prf:
../../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/resources.prf:
../../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/uic.prf:
../../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/yacc.prf:
../../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/lex.prf:
c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtGui.prl:
c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtDBus.prl:
c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtXml.prl:
c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -spec ../../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/default -unix -after  OBJECTS_DIR=obj MOC_DIR=moc UI_DIR=ui RCC_DIR=rcc -o Makefile watchdog.pro

dist: 
	@$(CHK_DIR_EXISTS) obj/watchdog1.0.0 || $(MKDIR) obj/watchdog1.0.0

=== debian/changelog ===
watchdog (0.7.1) unstable; urgency=low

  * Initial release on repos. Most of the backend is complete, now just ironing out the bugs

 -- Mehmet Tekman <tetris11@gmx.com>  Thu, 16 Aug 2012 23:02:58 +0100

=== debian/control ===
Source: watchdog
Section: user/graphics
Priority: optional
Maintainer: Mehmet Tekman <tetris11@gmx.com>
Build-Depends: debhelper (>= 5), libqt4-dev
Standards-Version: 3.7.3
Homepage: http://talk.maemo.org/showthread.php?t=86285

Package: watchdog
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, mailcmd, mplayer
Description: Motion Detector and TimeLapse app
 Detects and records motion for a wide array of
 image sizes. Can also email user an attached
 image upon movement, and compiles images into
 a movie. TimeLapse captures images at regular
 intervals at compiles them into a movie.
XB-Maemo-Display-Name: watchdog
XB-Maemo-Icon-26: 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

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1





configure: configure-stamp
configure-stamp:
	dh_testdir
	# qmake PREFIX=/usr# Uncomment this line for use without Qt Creator

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	qmake
	$(MAKE) # Uncomment this line for use without Qt Creator
	#docbook-to-man debian/watchdog.sgml > watchdog.1

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	#$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/watchdog.
	$(MAKE) INSTALL_ROOT="$(CURDIR)"/debian/watchdog install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
#	LD_LIBRARY_PATH=$(LD_LIBRARY_PATH):/usr/lib dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## watchdog 2.0-0

=== Makefile ===
# This is the Makefile of watchdog
#
# If you don't want to log any activity uncomment the following
#
SYSLOG = -DUSE_SYSLOG
#
# What's the name of your softdog device?
#
DEV = -DDEVNAME=\"/dev/watchdog\"
#
# name of the PID file
#
PID = -DPIDFILE=\"/var/run/watchdog.pid\"
#
# kernel timer margin 
#
TM = -DTIMER_MARGIN=60  
#
# Mount defaults:
#
DEFAULT_FSTYPE=\"iso9660\"
#
# you need rpcgen and libc-4.2 or rpclib to compile in the NFS support
#
MNT = -DHAVE_NFS -DFSTYPE_DEFAULT=$(DEFAULT_FSTYPE)
#
# Were do you want to install watchdog?
#
DESTDIR=
SBINDIR=$(DESTDIR)/usr/sbin
MANDIR=${DESTDIR}/usr/man/man8
#
# You shouldn't have to change anything below here
#
CC=gcc
#
CFLAGS=-g -O2 -Wall ${SYSLOG} ${DEV} ${PID} ${TM} ${MNT} -Imount
LDFLAGS=-s
#
MAJOR_VERSION = 2
MINOR_VERSION = 0
#
OBJECTS=watchdog.o quotactl.o umount.o mount/sundries.o \
	mount/lomount.o mount/fstab.o mount/version.o

all: watchdog

watchdog: $(OBJECTS)

w: w.o quotactl.o umount.o mount/sundries.o mount/lomount.o mount/fstab.o mount/version.o


watchdog.o: version.h watchdog.c

w.o: version.h w.c

umount.o: mount/umount.c
	$(CC) -c $(CFLAGS) -Dmain=umountmain mount/umount.c -o umount.o

version.h: Makefile
	@echo "/* actual version */" > version.h
	@echo "/* DO NOT EDIT! */" >> version.h
	@echo "#define MAJOR_VERSION ${MAJOR_VERSION}" >> version.h
	@echo "#define MINOR_VERSION ${MINOR_VERSION}" >> version.h

install: all
	install -d $(SBINDIR)
	install -g root -o root -m 700 -s watchdog $(SBINDIR)
	install -d $(MANDIR)
	install -g root -o root -m 644 watchdog.8 $(MANDIR)

clean:
	/bin/rm watchdog version.h *.o mount/*.o

## watchdog 2.1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
 # This is the Makefile of watchdog
 #
-# If you don't want to log any activity uncomment the following
+# If you don't want to log any activity uncomment the following.
+# I strongly discourgae this, though.
 #
 SYSLOG = -DUSE_SYSLOG
 #
@@ -15,6 +16,14 @@
 # kernel timer margin 
 #
 TM = -DTIMER_MARGIN=60  
+#
+# maximal 1 min load average
+#
+MAX = -DMAXLOAD=12
+#
+# minimal 1 min load average, the lowest value that is accepted
+#
+MIN = -DMINLOAD=2
 #
 # Mount defaults:
 #
@@ -34,11 +43,11 @@
 #
 CC=gcc
 #
-CFLAGS=-g -O2 -Wall ${SYSLOG} ${DEV} ${PID} ${TM} ${MNT} -Imount
+CFLAGS=-g -O2 -Wall ${SYSLOG} ${DEV} ${PID} ${TM} ${MNT} ${MAX} ${MIN} -Imount
 LDFLAGS=-s
 #
 MAJOR_VERSION = 2
-MINOR_VERSION = 0
+MINOR_VERSION = 1
 #
 OBJECTS=watchdog.o quotactl.o umount.o mount/sundries.o \
 	mount/lomount.o mount/fstab.o mount/version.o

## watchdog 3.3

=== Makefile ===
# This is the Makefile of watchdog
#
# If you don't want to log any activity uncomment the following.
# I strongly discourgae this, though.
#
SYSLOG = -DUSE_SYSLOG
#
# What's the name of your watchdog device?
# Leave DEV empty to disable keep alive support per default.
#
DEV = -DDEVNAME=\"/dev/watchdog\"
#
# What's the name of your temperature device?
# Leave TEMP empty to disable temperature checking per default.
# 
TEMP = -DTEMPNAME=\"/dev/temperature\"
#
# name of the PID file
#
PID = -DPIDFILE=\"/var/run/watchdog.pid\"
#
# where do we save the random seed, set to \"\" to disable
#
RS = -DRANDOM_SEED=\"/var/run/random-seed\"
#
# kernel timer margin 
#
TM = -DTIMER_MARGIN=60  
#
# how long does watchdog sleep between two passes 
#
SI = -DSLEEP_INTERVAL=10  
#
# maximal 1 min load average
#
MAX = -DMAXLOAD=12
#
# minimal 1 min load average, the lowest value that is accepted
#
MIN = -DMINLOAD=2
#
# maximal temperature (make sure you use the same unit as
# your watchdog hardware)
#
MAXT = -DMAXTEMP=120
#
# if you do not want to send any mail comment the following line
#
SEND = -DSENDTOADMIN
#
# where is your sendmail binary (default is _PATH_SENDMAIL)
#
#PS = -DPATH_SENDMAIL=\"/usr/sbin/sendmail\" 
#
# address to mail to
#
AD = -DSYSADMIN=\"root\"
#
# Mount defaults:
#
DEFAULT_FSTYPE=\"iso9660\"
#
# you need rpcgen and libc-4.2 or rpclib to compile in the NFS support
# pregenerated files are included.
# Make sure nfsmount_clnt.c is newer than nfsmount.x to avoid gcc complaints.
#
MNT = -DHAVE_NFS -DFSTYPE_DEFAULT=$(DEFAULT_FSTYPE)
#
# Were do you want to install watchdog?
#
DESTDIR=
SBINDIR=$(DESTDIR)/usr/sbin
MANDIR=${DESTDIR}/usr/man/man8
#
CC=gcc
#
# You shouldn't have to change anything below here
#
#CFLAGS=-g -O2 -Wall ${SYSLOG} ${DEV} ${TEMP} ${PID} ${RS} ${TM} ${SL} ${MNT} ${MAX} ${MIN} ${MAXT} ${SEND} ${PS} ${AD} -Imount
CFLAGS=-g -Wall ${SYSLOG} ${DEV} ${TEMP} ${PID} ${RS} ${TM} ${SL} ${MNT} ${MAX} ${MIN} ${MAXT} ${SEND} ${PS} ${AD} -Imount
#LDFLAGS=-s
LDFLAGS=
#
MAJOR_VERSION = 3
MINOR_VERSION = 3
#
OBJECTS=watchdog.o quotactl.o ifdown.o mount/sundries.o mount/umount.o\
	mount/lomount.o mount/fstab.o mount/version.o mount/mount.o mount/nfsmount.o\
	mount/nfsmount_clnt.o mount/nfsmount_xdr.o

all: watchdog

watchdog: $(OBJECTS)

watchdog.o: version.h watchdog.c

mount/nfsmount.o: mount/nfs_mountversion.h mount/nfs_mount3.h

mount/nfs_mountversion.h:
	rm -f nfs_mountversion.h
	if [ -f /usr/include/linux/nfs_mount.h ]; then \
		grep NFS_MOUNT_VERSION /usr/include/linux/nfs_mount.h \
		| sed -e 's/NFS/KERNEL_NFS/'; \
	else \
		echo '#define KERNEL_NFS_MOUNT_VERSION 0'; \
	fi > nfs_mountversion.h

version.h: Makefile
	@echo "/* actual version */" > version.h
	@echo "/* DO NOT EDIT! */" >> version.h
	@echo "#define MAJOR_VERSION ${MAJOR_VERSION}" >> version.h
	@echo "#define MINOR_VERSION ${MINOR_VERSION}" >> version.h

install: all
	install -d $(SBINDIR)
	install -g root -o root -m 700 -s watchdog $(SBINDIR)
	install -g root -o root -m 700 -s examples/repair.sh $(SBINDIR)/repair
	install -d $(MANDIR)
	install -g root -o root -m 644 watchdog.8 $(MANDIR)

clean:
	/bin/rm watchdog version.h *.o mount/*.o *~ mount/*~
